Bug 1426286 - [DS 10.1.1] Document the new auto tuning feature
Summary: [DS 10.1.1] Document the new auto tuning feature
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-administration-guide
Version: 10.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Marc Muehlfeld
QA Contact: Viktor Ashirov
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks: 1425467
TreeView+ depends on / blocked
 
Reported: 2017-02-23 15:47 UTC by mreynolds
Modified: 2017-08-02 06:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Improved auto-tuning support in Directory Server Previously, you had to monitor the databases and manually tune settings to improve the performance. With this update, Directory Server supports optimized auto-tuning for: * The database and entry cache * The number of threads created Directory Server tunes these settings, based on the hardware resources of the server. Auto-tuning is now automatically enabled by default if you install a new Directory Server instance. On instances upgraded from earlier versions, Red Hat recommends to enable auto-tuning. For details, see: * Database and entry cache: https://access.redhat.com/documentation/en-US/Red_Hat_Directory_Server/10/html/Performance_Tuning_Guide/memoryusage.html#DB_and_entry_cache_RAM_usage * Directory Server threads: https://access.redhat.com/documentation/en-US/Red_Hat_Directory_Server/10/html/Performance_Tuning_Guide/ds-threads
Clone Of:
Environment:
Last Closed: 2017-08-01 08:07:17 UTC


Attachments (Terms of Use)

Description mreynolds 2017-02-23 15:47:48 UTC
Description of problem:

The server can now autotune the server (cache and thread settings) based off of the current system resources


Design doc:  

http://www.port389.org/docs/389ds/design/autotuning.html

Comment 3 Marc Muehlfeld 2017-08-01 08:07:17 UTC
The update is now available on the Customer Portal.


Note You need to log in before you can comment on or make changes to this bug.